package com.sptg.estate.api.enums;

import com.sptg.common.core.beans.ResultBean;
import lombok.Getter;

/**
 * title: EstateEnum
 * package: com.sptg.estate.api.enums
 * description: 小区 异常枚举返回值
 *
 *
 *
 */
@Getter
public enum EstateEnum implements ResultBean.BaseResultEnum{

    /* ---------------------------------------------- 自定义模块异常 ---------------------------------------------- */

    PAR_CHILDREN("400.8","上级机构不存在，请核实后重新操作"),

    HAVE_CHILDREN("400.1","该记录含有下级数据，请核实后重新操作"),

    RESIDENTIAL_DATA_EXISTES("400.2","小区名称已经存在，请核实后重新输入"),

    UNTI_DATA_EXISTES("400.3","单元名称或编号已经存在，请核实后重新输入"),

    ROOM_DATA_EXISTES("400.4","房间名称或编号已经存在，请核实后重新输入"),

    BUILDING_DATA_EXISTES("400.4","楼栋名称或编号已经存在，请核实后重新输入"),

    USER_DATA_EXISTES("400.5","住户已经存在，请核实后重新输入"),

    USER_CARD_DATA_EXISTES("400.6","卡号已经存在，请核实后重新输入"),

    USER_CARD_DATA_ERROR("400.7","住户不存在，请核实后重新输入"),

    IS_NOT_ENABLE("400.8","禁用状态下无法操作，请核实后重新操作"),

    IS_NOT_FACE("400.8","用户人脸不存在，请核实是否已经上传或者保存"),
    ;

    /**
     * 状态码
     */
    private String code;

    /**
     * 消息
     */
    private String msg;

    EstateEnum(String code, String msg) {
        this.code = "smart-house-estate" + "." + code;
        this.msg = msg;
    }
}
